org.springframework.data.util

## Class ReflectionUtils.AnnotationFieldFilter

- java.lang.Object
- - org.springframework.data.util.ReflectionUtils.AnnotationFieldFilter

All Implemented Interfaces:
  ReflectionUtils.DescribedFieldFilter, ReflectionUtils.FieldFilter

Enclosing class:
  ReflectionUtils

    public static class ReflectionUtils.AnnotationFieldFilter
    extends Object
    implements ReflectionUtils.DescribedFieldFilter

A `ReflectionUtils.FieldFilter` for a given annotation.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`AnnotationFieldFilter(Class<? extends Annotation> annotationType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()` Returns the description of the field filter.
`boolean` `matches(Field field)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.util.ReflectionUtils.FieldFilter

`and`

### Constructor Detail

#### AnnotationFieldFilter

    public AnnotationFieldFilter(Class<? extends Annotation> annotationType)

### Method Detail

#### matches

    public boolean matches(Field field)

Specified by:
  `matches` in interface `ReflectionUtils.FieldFilter`

#### getDescription

    public String getDescription()

Description copied from interface: `ReflectionUtils.DescribedFieldFilter`
Returns the description of the field filter. Used in exceptions being thrown in case uniqueness shall be enforced on the field filter.

Specified by:
  `getDescription` in interface `ReflectionUtils.DescribedFieldFilter`
Returns: